Get a product-group promotion
Returns one product-group promotion by `id`. Requires `Permissions.Promotions.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
applyBiggerDiscountWithCustomerCard?booleanbarcode?stringLength
length <= 20daysOfWeek?integerFormat
int32deletedAt?|Format
date-timedescription?stringLength
length <= 200discountAmount?numberFormat
decimaldiscountGroupId?integerFormat
int32discountPercent?numberFormat
decimaldiscountValidAlways?booleanhours?integerFormat
int32id?integerFormat
int32isDeleted?booleanisPrioritized?booleanname?stringLength
length <= 80onlyForPos?booleanonlyForRegisteredCustomers?booleanprice?numberFormat
decimalpriceWoVat?numberFormat
decimalquantitySold?numberFormat
decimalsoldAll?booleanuseWarehousePrice?booleanvalidFrom?|Format
date-timevalidTo?|Format
date-timefilters?array<>warehouses?array<>curl -X GET 'https://<your-instance>/api/promotions/product-group-promotions/0' \ -H 'Authorization: Bearer <access-token>'{ "applyBiggerDiscountWithCustomerCard": true, "barcode": "string", "daysOfWeek": 0, "deletedAt": "2019-08-24T14:15:22Z", "description": "string", "discountAmount": 0, "discountGroupId": 0, "discountPercent": 0, "discountValidAlways": true, "hours": 0, "id": 0, "isDeleted": true, "isPrioritized": true, "name": "string", "onlyForPos": true, "onlyForRegisteredCustomers": true, "price": 0, "priceWoVat": 0, "quantitySold": 0, "soldAll": true, "useWarehousePrice": true, "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "filters": [ { "id": 0, "productId": 0, "promotionId": 0 } ], "warehouses": [ { "id": 0, "promotionId": 0, "warehouseId": 0 } ]}